2019-12-09 18:44 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001664FSSCPgameplaypublic2008-04-25 19:19
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001664: Ship-subsys-guardian-threshold causes assert when the subsystem doesn't exist.
DescriptionA bug was reported in TBP about the ISA Bluestar locking up the game. I tried running a 3.6.10 debug build and narrowed it down to an Assert in line 11105 of sexp.cpp. Looking at the code and the mission I think I found the cause. The ship in question has 2 engines (engine01 and engine02) but the default player ship has only on engine. So when the player switches to the 2 engine ship in loadout and tries to start the game it crashes.
Additional Information3/30 TBP 3.6.9 build but also occurs in newer FS2 3.6.10 builds.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009240

karajorma (administrator)

I added an <All Engines> and <All Turrets> option to the SEXP. If you are using it with a ship that might get changed via loadout/change-ship-class you should use that in order to ensure it always works.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-16 03:16 FUBAR-BDHR New Issue
2008-04-16 03:16 FUBAR-BDHR File Added: FUBAR_MG03.FS2
2008-04-17 21:06 karajorma Status new => assigned
2008-04-17 21:06 karajorma Assigned To => karajorma
2008-04-25 19:19 karajorma Status assigned => resolved
2008-04-25 19:19 karajorma Fixed in Version => 3.6.10
2008-04-25 19:19 karajorma Resolution open => fixed
2008-04-25 19:19 karajorma Note Added: 0009240
+Issue History